## hyfetch 1.4.10

=== debian/changelog ===
hyfetch (1.4.10-1) unstable; urgency=medium

  * Initial Package (Closes: #1051250)

 -- Bailey Kasin <baileykasin@gmail.com>  Tue, 05 Sep 2023 00:38:37 -0700

## hyfetch 1.4.11

=== Makefile ===
PREFIX = /usr
MANDIR = $(PREFIX)/share/man

all: build

build:
	python setup.py build

install:
	python setup.py install --prefix=${PREFIX}

install-doc:
	@mkdir -p $(DESTDIR)$(MANDIR)/man1
	@cp -p docs/hyfetch.1 $(DESTDIR)$(MANDIR)/man1
	@cp -p docs/neofetch.1 $(DESTDIR)$(MANDIR)/man1/neowofetch.1

uninstall:
	@rm -rf $(DESTDIR)$(PREFIX)/bin/hyfetch
	@rm -rf $(DESTDIR)$(PREFIX)/bin/neowofetch
	@rm -rf $(DESTDIR)$(MANDIR)/man1/hyfetch.1*
	@rm -rf $(DESTDIR)$(MANDIR)/man1/neowofetch.1*

clean:
	rm -rf build/ HyFetch.egg-info

install-neofetch:
	@mkdir -p $(DESTDIR)$(PREFIX)/bin
	@mkdir -p $(DESTDIR)$(MANDIR)/man1
	@cp -p neofetch $(DESTDIR)$(PREFIX)/bin/neofetch
	@cp -p docs/neofetch.1 $(DESTDIR)$(MANDIR)/man1
	@chmod 755 $(DESTDIR)$(PREFIX)/bin/neofetch

uninstall-neofetch:
	@rm -rf $(DESTDIR)$(PREFIX)/bin/neofetch
	@rm -rf $(DESTDIR)$(MANDIR)/man1/neofetch.1*

=== debian/changelog ===
hyfetch (1.4.11-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 22 Aug 2024 21:55:54 -0700

hyfetch (1.4.11-1) unstable; urgency=medium

  * Add ability to set backend args in config file
  * Fix config file argument (Obsoletes 003-fix-config-flag.patch)
  * Disable Hackintosh check on arm64 processors
  * Fixed Kubuntu recognized as Ubuntu
  * Use /etc/debian_version to get .x on Debian
  * Add LainOS, aerOS, Xenia, EndeavourOS Small Option, AZOS, MainsailOS,
  Interix, Peropesis, Adelie, Xray_OS
  * Update AOSC, phyOS, Parch logos
  * Add linux_small
  * Fix color blocks for bash != 3 & < 5
  * Use sed -r instead of -E when using GNU sed
  * Improved macOS resolution detection
  * Add support for alacritty's new config format
  * Check for newer xfce4-term config
  * Add support for npm global packages

 -- Bailey Kasin <baileykasin@gmail.com>  Mon, 04 Dec 2023 13:43:30 -0700

=== debian/control ===
Source: hyfetch
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Bailey Kasin <baileykasin@gmail.com>
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-exec,
               dh-python,
               dh-sequence-bash-completion,
               python3,
               python3-setuptools,
               python3-typing-extensions
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/Catumin/hyfetch.git
Vcs-Browser: https://salsa.debian.org/Catumin/hyfetch
Homepage: https://github.com/hykilpikonna/hyfetch
Rules-Requires-Root: no

Package: hyfetch
Architecture: all
Depends: neowofetch,
         python3-typing-extensions,
         ${misc:Depends},
         ${python3:Depends}
Recommends: pciutils
Description: Command-line Tool that Presents System Info
 HyFetch is a command line script to display information about
 your Linux system, such as amount of installed packages, OS
 and kernel version, active GTK theme, CPU info, and used/available
 memory. It is a fork of neofetch, and adds pride flag coloration
 to the OS logo.
 .
 Hyfetch also has the ability to integrate with other system info
 tools, such as fastfetch, to use them to gather info that is then
 displayed through hyfetch.

Package: neowofetch
Architecture: all
Depends: ${misc:Depends},
            caca-utils,
            chafa,
            imagemagick,
            jp2a,
            libsixel-bin,
            pciutils,
            w3m-img
Multi-Arch: foreign
Description: Shows Linux System Information with Distribution Logo
 Neowofetch is a fork of Neofetch, the cross-platform and
 easy-to-use system information command line script that collects
 your Linux system information and displays it on the terminal
 next to an image, either your distribution logo or any ascii art
 of your choice.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = hyfetch

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	cp -R debian/python3-hyfetch/* debian/tmp/
	$(RM) -r debian/tmp/usr/lib/python3*/dist-packages/hyfetch/__pycache__

## hyfetch 1.99.0

=== debian/changelog ===
hyfetch (1.99.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.99.0 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 29 Oct 2024 18:25:26 +0100

hyfetch (1.4.11-1kaisen) kaisen-packages; urgency=medium

  * Initial release
  * Add a patch to add the new Kaisen logo

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 24 Dec 2023 20:07:14 +0100

=== debian/control ===
Source: hyfetch
Section: utils
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13), python3, python3-dev, python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/hykilpikonna/hyfetch
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/hyfetch
Vcs-Git: https://gitlab.com/kaisenlinux/packages/hyfetch.git

Package: hyfetch
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: neofetch
Conflicts: neofetch
Description: Shows Linux System Information with Distribution Logo
 Neofetch is a cross-platform and easy-to-use system information
 command line script that collects your Linux system information
 and display it on the terminal next to an image, it could be your
 distributions logo or any ascii art of your choice.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	install -p -m 0755 $(CURDIR)/neofetch $(CURDIR)/debian/hyfetch/usr/bin/
